Subject: Re: SSH and rsync for NT
From: Ville Herva <[email-masked]>
To: [email-masked]
Cc: brandon <[email-masked]>
Date: Wed, 24 May 2000 08:39:02 +0300

On Tue, May 16, 2000 at 11:59:46AM +0100, you [David Starks-Browning] claimed:
> On Monday 15 May 00, brandon writes:
> > > > 2) Rsync on NT.  Similar questions.  Does Cygwin have this or does
> > > > anyone on this list have recommendations?
> > >
> > > There is a Cygwin port available but I am not sure where. Others on this
> > > list will probably be able to give you the url. If not I'll look for it
> > > and let you know.
> > 
> > I would love to have this if you get a chance. :-)
> 
> Brandon,
> 
> Rsync should build OOTB under cygwin.  I believe that rsync-2.3.2 or
> greater is required, because 2.3.1 and before did not handle binary
> files correctly.  (I'm currently using a post-2.3.1 cvs snapshot, and
> it seems to work fine when invoked under cygwin, though I'm not using
> ssh with it.)

Yes, at least 2.4.2 (2.4.3 is the newest) compiled perfectly out of the
box for me. I did however make some changes to make it behave more
conveniently under windows. See http://v.iki.fi/~vherva/cygwin-rsync/

-- v --

[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]